#include <bits/stdc++.h>
using namespace std;

long long p,q,r,L,R;

long long plafon(long long a,long long b)
{
    return a/b+(a%b!=0);
}

int main()
{
    cin>>p>>q>>r>>L>>R;
    double x=1.0/p+1.0/q+1.0/r;
    if(x>1)
        cout<<0;
    if(x==1)
    {
        long long nzs=1;
        for(nzs; nzs<=10000; nzs++)
            if(nzs%p==0 && nzs%q==0 && nzs%r==0)
                break;
        R/=nzs;
        L/=nzs;
        cout<<R-L;

    }
    if(x<1)
    {
        long long sol=0;
        for(long long i=L; i<=min(1ll*10000,R); i++)
            if(plafon(i,p)+plafon(i,q)+plafon(i,r)<=i)
                sol++;
        sol+=max(0ll,R-10000);
        cout<<sol;
    }

    return 0;
}